// @ts-check
import { createConfigForNuxt } from '@nuxt/eslint-config'

export default createConfigForNuxt({
  features: {
    stylistic: true,
    typescript: true,
  },
}).override('nuxt/vue/rules', {
  rules: {
    'vue/first-attribute-linebreak': 'off',
    'vue/no-v-html': 'off',
    'vue/html-closing-bracket-newline': 'off',
    'vue/html-self-closing': 'off',
    'vue/max-attributes-per-line': 'off',
  },
}).override('nuxt/stylistic', {
  rules: {
    'no-useless-escape': 'off',
  },
})
